﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Infragistics_RTL_Test
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private DataSet1.DT_WorkerDataTable m_DT_Workers = new DataSet1.DT_WorkerDataTable();

        public MainWindow()
        {
            
        }


        private void FillData1()
        {
            AddWorkerRow("Roni", 25, 5000);
            AddWorkerRow("Avi", 28, 7000);
            AddWorkerRow("Dani", 31, 12000);
            AddWorkerRow("Rami", 41, 4000);
            AddWorkerRow("Gadi", 53, 11000);
            AddWorkerRow("Beni", 17, 5000);
        }

      

        private void AddWorkerRow(string Name,int Age,int Salary)
        {
            DataSet1.DT_WorkerRow WorkerRow = (DataSet1.DT_WorkerRow)m_DT_Workers.NewRow();

            WorkerRow.Name = Name;
            WorkerRow.Age = Age;
            WorkerRow.Salary = Salary;

            m_DT_Workers.AddDT_WorkerRow(WorkerRow);
        }

        private void ChangeFlowDirection_Click(object sender, RoutedEventArgs e)
        {
            xamDataGrid1.FlowDirection = FlowDirection.LeftToRight;
        }

        private void Button_WinForm_Click(object sender, RoutedEventArgs e)
        {
            System.Windows.Forms.MessageBox.Show(HebrewConv.overrideRTLmarks("tcerroc si gsm ehT", true));
            
        }

        private void Button_XamDataGrid_Click(object sender, RoutedEventArgs e)
        {
            AddWorkerRow(HebrewConv.overrideRTLmarks("tcerroc si gsm ehT", true), 25, 5000);
        }

        private void Button_WPF_Click(object sender, RoutedEventArgs e)
        {
            Lable_WPF.Text = HebrewConv.overrideRTLmarks("tcerroc si gsm ehT", true); 
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            InitializeComponent();
            Problem2_Panel.Visibility = Visibility.Visible;

            xamDataGrid1.DataSource = null;
            xamDataGrid1.FlowDirection = FlowDirection.LeftToRight;
            m_DT_Workers.Clear();
            xamDataGrid1.DataSource = m_DT_Workers;
        }

    }
}
